Take the 2-minute tour ×
Game Development Stack Exchange is a question and answer site for professional and independent game developers. It's 100% free, no registration required.

A question was asked about good, up-to date OpenGL resources, one of the answers was a link to a tutorial about modern OpenGL programming.

The tutorial in question uses GLUT and GLEW, but I have read somewhere that GLUT is obsolete. Is that true?

share|improve this question
add comment

5 Answers 5

up vote 13 down vote accepted

Is GLUT 3.7 out of date? Absolutely. You should never use it for anything.

However, FreeGLUT is perfectly fine to use. It is 100% backwards compatible with GLUT 3.7. FreeGLUT is a good utility to have when you need to slap together a quick and dirty program.

share|improve this answer
add comment

Even though the original GLUT is not in active development anymore, its still a good tool for its targeted domain, which is quick OpenGL testing and demos. It was never intended to be a framework for developing complex OpenGL programs.

from http://en.wikipedia.org/wiki/OpenGL_Utility_Toolkit

The two aims of GLUT are to allow the creation of rather portable code between operating systems (GLUT is cross-platform) and to make learning OpenGL easier. Getting started with OpenGL programming while using GLUT often takes only a few lines of code and does not require knowledge of operating system–specific windowing APIs.

So no, if you use it for quick OpenGL tests, demos and learning, then it is not obsolete.

share|improve this answer
add comment

You should have a look at GLFW: http://www.glfw.org/

It's a very easy to use cross-platform API that is still in development and has good documentation!

All it does, is to create an OpenGL context and provide means to get input (+ some extra features like threading)

share|improve this answer
add comment

Yes GLUT is obsolete and not under developement since 1998 with the release of the 3.7 version.

From French Wikipedia:

La bibliothèque GLUT n'est désormais plus en développement et s'est arrêtée à la version 3.7 en mai 1998.

http://fr.wikipedia.org/wiki/OpenGL_utility_toolkit

Edit:

Sorry for the french reference but i haven't find any date on the english wikipedia. The translation is:

The GLUT library is no longer in development and stopped at version 3.7 in May 1998.

And the link to the english wikipedia:

http://en.wikipedia.org/wiki/OpenGL_Utility_Toolkit

share|improve this answer
1  
And even if it wasn't obsolete, it was never meant for production code. –  Jari Komppa Feb 10 '12 at 12:03
3  
you could use English wiki for reference! –  Ali.S Feb 10 '12 at 12:09
    
The french wiki page contains no references - that date could be completely made up –  BlueRaja - Danny Pflughoeft Feb 10 '12 at 15:20
    
Here the release note of GLUT 3.7 dated of 7 may 1998 : freeware.sgi.com/Installable/glut-3.7.html. And here freeglut sourceforge webpage saying GLUT was abandonned in 1998 : freeglut.sourceforge.net –  Takumi Feb 10 '12 at 15:45
1  
-1 for being wrong. GLUT 3.7 may be out of date, but FreeGLUT is not. –  Nicol Bolas Feb 10 '12 at 16:23
show 1 more comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.